aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-securitypolicy
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-06 22:40:02 -0500
committerJulien Roy <julien@jroy.ca>2023-02-06 22:40:02 -0500
commitf023de54221202fe40cf033db626825d2ca1947b (patch)
tree1dd256dc01ca7f0ddc47110d6280ab16ce8ba838 /dev-python/zope-securitypolicy
parent53e3f4cabd4eb79973e29d17679cb62da9685f86 (diff)
downloadMrRoy-Overlay-f023de54221202fe40cf033db626825d2ca1947b.tar.gz
MrRoy-Overlay-f023de54221202fe40cf033db626825d2ca1947b.tar.bz2
MrRoy-Overlay-f023de54221202fe40cf033db626825d2ca1947b.zip
dev-python/zope-securitypolicy: new package, add 4.3.2
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python/zope-securitypolicy')
-rw-r--r--dev-python/zope-securitypolicy/Manifest1
-rw-r--r--dev-python/zope-securitypolicy/metadata.xml21
-rw-r--r--dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild56
3 files changed, 78 insertions, 0 deletions
diff --git a/dev-python/zope-securitypolicy/Manifest b/dev-python/zope-securitypolicy/Manifest
new file mode 100644
index 0000000..eee9817
--- /dev/null
+++ b/dev-python/zope-securitypolicy/Manifest
@@ -0,0 +1 @@
+DIST zope-securitypolicy-4.3.2.gh.tar.gz 27747 BLAKE2B 42b3a78d37a6292e083cba023d21eae7e05f5758c4153f709dc1c9569dccd96e17dbb70ee6ff4316df90fe9ee2c86df6498b05d223440045a77bc6ff2cfab33b SHA512 0c74e2ad1497f6f708247c3d77b7a8297ac39f6be5d1b914fbc206b0bac402e7bd354f94f6813af4fec0be621f43aae87263f0b25acdedc709a8080e789c74f9
diff --git a/dev-python/zope-securitypolicy/metadata.xml b/dev-python/zope-securitypolicy/metadata.xml
new file mode 100644
index 0000000..942648b
--- /dev/null
+++ b/dev-python/zope-securitypolicy/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides an useful security policy for Zope3. It's the default security policy used in "zope3 the application" and many other zope-based projects.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.securitypolicy/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.securitypolicy/blob/master/CHANGES.rst</changelog>
+ <remote-id type="github">zopefoundation/zope.securitypolicy</remote-id>
+ <remote-id type="pypi">zope.securitypolicy</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild b/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild
new file mode 100644
index 0000000..f890595
--- /dev/null
+++ b/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Default Security Policy for Zope 3"
+HOMEPAGE="https://github.com/zopefoundation/zope.securitypolicy"
+SRC_URI="https://github.com/zopefoundation/zope.securitypolicy/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/zope-annotation[${PYTHON_USEDEP}]
+ dev-python/zope-authentication[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-dublincore[${PYTHON_USEDEP}]
+ dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-location[${PYTHON_USEDEP}]
+ dev-python/zope-schema[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}